[PACKAGE]: ../../raw/master/mkp/juniper_led-0.0.2-20230603.mkp "juniper_led-0.0.2-20230603.mkp"
# Juniper LED state

Monitors the state of the Juniper LEDs using the JUNIPER-MIB.

*Note*: the used OIDs are deprecated by Juniper.

---
### Check Info

* *service*: this check creates the service _Alarm LED_ for each LED with the LED description as item

* *state*: 
    - WARN/CRIT/UNKNON based on the LED state

* *wato*: none
   
* *perfdata*: none
    
---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")
